#!/bin/bash
-useradd -m -s /bin/bash suseuser
-echo "suseuser ALL=(ALL:ALL) NOPASSWD:ALL" >> /etc/sudoers;
-echo "root ALL=(ALL:ALL) NOPASSWD:ALL" >> /etc/sudoers;
+ping -q -c 1 wp.pl -w 1 >> /dev/null 2>&1;
+if [ $? -eq 0 ]; then
+ useradd -m -s /bin/bash suseuser
+ echo "suseuser ALL=(ALL:ALL) NOPASSWD:ALL" >> /etc/sudoers;
+ echo "root ALL=(ALL:ALL) NOPASSWD:ALL" >> /etc/sudoers;
-zypper update -y;
-zypper install -y neofetch;
+ zypper update -y;
+ zypper install -y neofetch;
-echo "/usr/bin/neofetch" >> /home/suseuser/.bashrc;
+ echo "/usr/bin/neofetch" >> /home/suseuser/.bashrc;
+fi